import 'package:flutter/material.dart';
import 'package:shimmer/shimmer.dart';

class MineQuickEntrySkeleton extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(
        left: 12.5,
        right: 12.5,
        top: 6,
        bottom: 6,
      ),
      width: double.infinity,
      decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(7.5), color: Colors.white),
//      margin: EdgeInsets.only(left: 12.5, right: 12.5),
      child: Shimmer.fromColors(
        baseColor: Colors.grey[300],
        highlightColor: Colors.grey[100],
        child: GridView.builder(
          shrinkWrap: true,
          physics: NeverScrollableScrollPhysics(),
          gridDelegate: SliverGridDelegateWithFixedCrossAxisCount(
            crossAxisCount: 4,
            crossAxisSpacing: 1,
            mainAxisSpacing: 1,
            childAspectRatio: 1,
          ),
          itemCount: 8,
          itemBuilder: (BuildContext context, int index) {
            return Container(
              child: Center(
                child: Column(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: <Widget>[
                    Container(
                      width: 36,
                      height: 36,
                      margin: EdgeInsets.only(bottom: 4),
                      decoration: BoxDecoration(
                          color: Colors.white,
                          borderRadius: BorderRadius.circular(18)),
                    ),
                    Container(
                      width: 24,
                      height: 12,
                      color: Colors.white,
                    )
                  ],
                ),
              ),
            );
          },
        ),
      ),
    );
  }
}
